/* ------------
    Akkordeon
--------------- */

.simple-accordion {
    margin: 2rem auto;
    max-width: var(--accordion-max-width); 
    width: 95%; 
}

details {
    border-radius: var(--corner-strength); 
    border: var(--accordion-border-thickness) solid var(--accordion-border-col);
    margin-bottom: 15px; 
    padding: 0;
    overflow: hidden; 
    background-color: var(--accordion-bg-col);
}

summary {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    padding: 1rem 1.5rem; 
    background-color: var(--accordion-summary-bg-col);
    font-weight: 600;
    color: var(--accordion-summary-text-col); 
    list-style: none;
    transition: background-color 0.2s;
}

/* + */
summary::after {
    content: '+';
    font-weight: 600;
    font-size: 1.2rem;
    line-height: 1;
    margin-left: 1rem;
    color: var(--accordion-summary-text-col);
    transition: transform 0.2s ease-in-out;
    flex-shrink: 0;
}

/* - */
details[open] > summary::after {
    content: '-';
}

/* Elements */
details > *:not(summary) { 
    padding-left: 1rem; 
    padding-right: 1rem;
    margin: 0; 
}

details > p {
    margin: 1.5rem 1rem 1.5rem;
    color: var(--accordion-text-col);
}

details > h3 {
    margin-top: 2rem;
    color: var(--accordion-heading-col);
    font-size: 1.05rem;
}

details > h4 {
    margin-top: 1rem;
    padding-left: 2rem; 
    padding-right: 2rem;
    color: var(--accordion-heading-col); 
    font-size: 0.95rem;
}

/* Nested-details */

details.nested-details {
    max-width: 90%; 
    margin: 2rem auto 2rem auto;
    border: var(--accordion-border-thickness) solid var(--accordion-border-col);
    background-color: var(--accordion-bg-col); 
    border-radius: var(--corner-strength); 
    padding: 0; 
}

details.nested-details > summary {
    background-color: var(--accordion-summary-bg-col); 
    padding: 0.8rem 1rem;
    color: var(--accordion-summary-text-col); 
    font-weight: 600;
}

details.nested-details > *:not(summary) {
    padding-left: 1rem; 
    padding-right: 1rem;
    padding-bottom: 1rem; 
}

details.nested-details > summary::after {
    color: var(--accordion-summary-text-col); 
}

.thankslist {
  display: inline-block;
  text-align: left;
  margin: 0 auto;
  padding-left: 4rem;
  padding-right: 2rem;
  color: var(--text-special-col);
}